Brosix on old Mac OS X

Brosix on old Mac OS X

I cannot start Brosix on my Mac OS X 10.6.8 and I do not have the option to update it to a more current version.

Brosix for Mac OS X now is 64 bit. It does not support 32-bit architectures. If you cannot update your Mac to the latest Mac OS X, then you could try the last 32-bit version we have.

Please check if the version bellow works for you, if so just ignore the update prompt:
http://www.brosix.com/downloads/builds/150127/nets/Brosix_nets.dmg